local fn = _gn(0x33E179436C0B31DB)
--- addonHash:
-- (use WEAPON::GET_WEAPON_COMPONENT_TYPE_MODEL() to get hash value)
-- ${component_at_ar_flsh}, ${component_at_ar_supp}, ${component_at_pi_flsh}, ${component_at_scope_large}, ${component_at_ar_supp_02}
function Global.GiveWeaponComponentToWeaponObject(weaponObject, addonHash)
	return fn(weaponObject, _ch(addonHash))
end
